Subject: SCTP Stream Reset and IPFIX Per Stream Export

From: Brian Trammell <[email-masked]>
Date: Mon, 22 Mar 2010 14:25:47 -0700

Greetings, all,

Per my recent comment in the TSVWG meeting, I've looked over draft-ietf-tsvwg-sctp-strrst-04 primarily from the point of view of an IPFIX implementor, especially with respect to draft-ietf-ipfix-export-per-sctp-stream; I'm not really qualified to do a more in-depth review (i.e., verifying that sections 3-5 properly provide the functionality behind the interface described in section 6).

The primary functionality required for per-stream is described, from the API level, in 6.3.4 "Add Outgoing Streams" (and, of course, 6.3.1 "Enable/Disable Stream Reset"). These sections are complete for our purposes. To the extent that the rest of the document accurately describes the protocol-level interactions required to support the functionality described therein, I'd say that this document is exactly what is needed for IPFIX, and is ready to go.

Best regards,

Brian